# ``twisted`.`internet`.`interfaces`.`IReactorPluggableNameResolver``

interface documentation

`class IReactorPluggableNameResolver(Interface): (source)`

Known implementations: `twisted.internet.base.PluggableResolverMixin`

View In Hierarchy

An `IReactorPluggableNameResolver` is a reactor whose name resolver can be set to a user-supplied object.

Method | `installNameResolver` | Set the internal resolver to use for name lookups.
Attribute | `nameResolver` | Read-only attribute; the resolver installed with `installResolver`. An `IHostnameResolver`.

def installNameResolver(resolver): (source)
Set the internal resolver to use for name lookups.

Parameters
resolver:`IHostnameResolver` | The new resolver to use.
Returns
`IHostnameResolver` | The previously installed resolver.

nameResolver = (source)
Read-only attribute; the resolver installed with `installResolver`. An `IHostnameResolver`.